Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
{
"id": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"name": "Get a Comic Book",
"type": "MATERIAL",
"parameters": {
"product": {
"id": "prod_0b15f6b9f650c16990",
"sku_id": "sku_0b1621b319d248b79f"
}
},
"stock": "2",
"redeemed": null,
"attributes": {
"image_url": "{{internalVoucherifyURL}}",
"description": "Comic book"
},
"created_at": "2022-08-25T10:00:12.794Z",
"updated_at": "2022-08-25T10:06:30.655Z",
"metadata": {
"Type": "Physical product"
},
"object": "reward"
}Update the details of a reward.
{
"id": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"name": "Get a Comic Book",
"type": "MATERIAL",
"parameters": {
"product": {
"id": "prod_0b15f6b9f650c16990",
"sku_id": "sku_0b1621b319d248b79f"
}
},
"stock": "2",
"redeemed": null,
"attributes": {
"image_url": "{{internalVoucherifyURL}}",
"description": "Comic book"
},
"created_at": "2022-08-25T10:00:12.794Z",
"updated_at": "2022-08-25T10:06:30.655Z",
"metadata": {
"Type": "Physical product"
},
"object": "reward"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A unique reward ID.
"rew_2erjvECLs92GYzKbak3QkyTV"
Define the parameters to be updated for the reward.
Request body schema for updating a digital reward using PUT v1/rewards/{rewardId}.
Reward name.
Configure a digital (CAMPAIGN) reward. These can be in the form of discount coupons, gift card credits, or loyalty point credits.
Show child attributes
The metadata object stores all custom attributes assigned to the reward. A set of key/value pairs that you can attach to a reward object. It can be useful for storing additional information about the reward in a structured format.
Returns an updated reward object.
Response body schema for PUT v1/rewards/{rewardId}.
Unique reward ID, assigned by Voucherify.
"rew_nIy4gHpQHle2c3pNMwuj7G6j"
Reward name.
Configurable for material rewards. The number of units of the product that you want to share as a reward. Use this parameter to code a stock-taking logic.
Defines the number of already invoked (successful) reward redemptions.
The metadata object stores all custom attributes assigned to the reward. A set of key/value pairs that you can attach to a reward object. It can be useful for storing additional information about the reward in a structured format.
Reward type.
CAMPAIGN, COIN, MATERIAL Timestamp representing the date and time when the reward was created. The value is shown in the ISO 8601 format.
"2022-08-11T14:49:22.586Z"
Timestamp representing the date and time when the reward was updated. The value is shown in the ISO 8601 format.
"2022-08-11T16:01:34.885Z"
The type of the object represented by the JSON. This object stores information about the reward.
reward These properties are configurable for material rewards.
Show child attributes
Defines how the reward is generated.
Show child attributes
Was this page helpful?